[Unstable Update] 2020-08-22 - Pamac, Mate 1.24.1, GCC 10.2, Python, Haskell

Hello community,

Another unstable branch update with some interesting updates for you!


We made some progress in our fingerprint driver journey … #stayhome, #staysafe, #stayhealthy

  • We updated some of our KDE-git packages
  • Pamac added an API so you can create trays, like the new one for plasma
  • Mate got it’s first point-release in 1.24 series
  • gcc10 got updated to 10.2 which breaks dkms unless the kernel and its extramodules get rebuild against it
  • Usual Python and Haskell package updates and rebuilds

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our latest RC of Manjaro Mikah 20.1! XFCE, KDE and Gnome


sudo pacman -Syy
sudo pacman -S pacman-static
sudo pacman-static -Syyu

Our current supported kernels

  • linux44 4.4.233
  • linux49 4.9.233
  • linux414 4.14.194
  • linux419 4.19.141
  • linux54 5.4.59
  • linux57 5.7.16
  • linux58 5.8.3
  • linux54-rt 5.4.58_rt35
  • linux56-rt 5.6.19_rt12

Package Changes (Wed Aug 19 09:48:54 CEST 2020)



:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-08-19           2020-08-22
-------------------------------------------------------------------------------
                              etcher            1.5.103-1            1.5.104-1
                      kio-extras-git    r6819.g99b7cb0e-1    r6820.g9b6e1cda-1
                   kuserfeedback-git       r693.a82c40d-1       r694.f22b81e-1
                            kwin-git5.19.80.r18275.g90b53f416-15.19.80.r18277.g571ca776c-1
                plasma-framework-git5.74.0.r15534.g13882a60e-15.74.0.r15539.ga4e7ea680-1
                       plasma-nm-git5.19.80.r2920.ge74e137e-15.19.80.r2921.gbd801543-1
                          warpinator              1.0.8-1              1.0.8-3


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-08-19           2020-08-22
-------------------------------------------------------------------------------
                                agda             2.6.1-93             2.6.1-95
                             bashtop             0.9.24-1             0.9.25-1
                             blender          17:2.83.5-1          17:2.83.5-2
                           borgmatic              1.5.9-1             1.5.10-1
                               box2d              2.3.1-5              2.4.0-1
                                c2hs           0.28.6-106           0.28.6-107
                       cabal-install           3.2.0.0-61           3.2.0.0-63
              caja-extensions-common             1.24.0-1             1.24.1-1
                caja-image-converter             1.24.0-1             1.24.1-1
                  caja-open-terminal             1.24.0-1             1.24.1-1
                         caja-sendto             1.24.0-1             1.24.1-1
                          caja-share             1.24.0-1             1.24.1-1
                      caja-wallpaper             1.24.0-1             1.24.1-1
                     caja-xattr-tags             1.24.0-1             1.24.1-1
                               cgrep            6.6.32-63            6.6.32-64
                             cryptol             2.9.0-27             2.9.0-28
                               darcs             2.16.1-4             2.16.2-2
                               dhall             1.34.0-8            1.34.0-10
                          dhall-bash             1.0.32-8            1.0.32-10
                          dhall-json             1.7.1-10             1.7.1-12
                            engrampa             1.24.0-1             1.24.1-1
                                 eom             1.24.0-1             1.24.1-1
               fcitx5-chinese-addons     0.0.0.20200819-1     0.0.0.20200822-1
                   fcitx5-configtool     0.0.0.20200813-1     0.0.0.20200822-1
                          fcitx5-lua     0.0.0.20200802-3     0.0.0.20200821-1
                           fcitx5-qt     0.0.0.20200820-1     0.0.0.20200822-1
               firefox-ublock-origin             1.29.0-1             1.29.2-1
                          freeradius             3.0.21-4             3.0.21-5
                           git-annex        8.20200810-14        8.20200810-16
                          git-repair        1.20200504-57        1.20200504-59
                             grafana              7.1.3-1              7.1.4-1
                              groovy              2.5.8-1             2.5.13-1
                             haproxy              2.2.2-1              2.2.2-2
                       haskell-aeson            1.5.3.0-3            1.5.3.0-4
         haskell-aeson-better-errors          0.9.1.0-197          0.9.1.0-198
                haskell-aeson-compat            0.3.9-115            0.3.9-116
                  haskell-aeson-diff           1.1.0.9-59           1.1.0.9-60
                haskell-aeson-pretty             0.8.8-62             0.8.8-63
                    haskell-aeson-qq             0.8.3-81             0.8.3-82
                  haskell-aeson-yaml           1.1.0.0-23           1.1.0.0-24
                  haskell-alsa-mixer             0.3.0-52             0.3.0-53
                haskell-authenticate            1.3.5-167            1.3.5-169
          haskell-authenticate-oauth          1.6.0.1-140          1.6.0.1-142
                         haskell-aws              0.22-99             0.22-101
            haskell-binary-instances           1.0.0.1-34           1.0.0.1-35
               haskell-binary-parser             0.5.6-18             0.5.6-19
               haskell-binary-tagged               0.3-15               0.3-16
                  haskell-bower-json          1.0.0.1-195          1.0.0.1-196
                       haskell-brick              0.55-13              0.55-14
   haskell-bytestring-strict-builder           0.4.5.3-89           0.4.5.3-90
                         haskell-bz2           1.0.1.0-20           1.0.1.0-21
                 haskell-casa-client             0.0.1-89             0.0.1-91
                  haskell-casa-types             0.0.1-75             0.0.1-76
                       haskell-cborg           0.2.4.0-12           0.2.4.0-13
                  haskell-cborg-json           0.2.2.0-42           0.2.2.0-43
                  haskell-cheapskate          0.1.1.2-134          0.1.1.2-136
               haskell-clash-prelude             1.2.4-19             1.2.4-20
              haskell-classy-prelude             1.5.0-53             1.5.0-54
           haskell-commonmark-pandoc            0.2.0.0-2            0.2.0.0-3
                   haskell-criterion          1.5.6.2-116          1.5.6.2-118
       haskell-criterion-measurement           0.1.2.0-65           0.1.2.0-66
                haskell-data-default           0.7.1.1-64           0.7.1.1-65
haskell-data-default-instances-dlist             0.0.1-77             0.0.1-78
                         haskell-dav            1.3.4-150            1.3.4-152
              haskell-deferred-folds          0.9.10.1-99         0.9.10.1-100
                 haskell-descriptive            0.9.5-128            0.9.5-129
                       haskell-dlist           0.8.0.8-12                1.0-1
             haskell-dlist-instances           0.1.1.1-26           0.1.1.1-27
                haskell-doctemplates             0.8.2-31             0.8.2-32
                   haskell-esqueleto           3.3.3.2-30           3.3.3.2-31
        haskell-first-class-families           0.8.0.0-17           0.8.0.0-18
                haskell-generic-data            0.9.1.0-1            0.9.1.0-2
                          haskell-gi             0.24.1-5             0.24.1-6
                     haskell-gi-base             0.24.1-2             0.24.2-1
                     haskell-git-lfs             1.1.0-23             1.1.0-25
                     haskell-githash           0.1.4.0-79           0.1.4.0-81
                        haskell-glob             0.10.1-5             0.10.1-6
                      haskell-gnuidn            0.2.2-180            0.2.2-181
                    haskell-graphviz        2999.20.1.0-5        2999.20.1.0-6
            haskell-hackage-security           0.6.0.1-67           0.6.0.1-69
             haskell-haddock-library             1.9.0-20             1.9.0-21
                      haskell-hakyll          4.13.4.0-40          4.13.4.0-42
                       haskell-hasql           1.4.4.2-14           1.4.4.2-15
                  haskell-hasql-pool             0.5.2-36             0.5.2-37
           haskell-hasql-transaction           1.0.0.1-55           1.0.0.1-56
                haskell-hjsonpointer            1.5.0-113            1.5.0-114
                 haskell-hledger-lib            1.18.1-20            1.18.1-21
                    haskell-hopenpgp            2.9.4-136            2.9.4-138
                       haskell-hpack            0.34.2-45            0.34.2-47
                   haskell-hspec-wai            0.10.1-71            0.10.1-72
              haskell-hspec-wai-json            0.10.1-78            0.10.1-79
                haskell-hsyaml-aeson           0.2.0.0-57           0.2.0.0-58
                        haskell-http        4000.3.14-254        4000.3.14-256
                 haskell-http-client             0.7.1-43              0.7.2-2
      haskell-http-client-restricted             0.0.3-23             0.0.3-25
             haskell-http-client-tls          0.3.5.3-281          0.3.5.3-283
                haskell-http-conduit          2.3.7.3-175          2.3.7.3-177
               haskell-http-download          0.2.0.0-109          0.2.0.0-111
                haskell-http-streams           0.8.7.2-31           0.8.7.2-34
                       haskell-http2             2.0.5-16             2.0.5-17
                  haskell-httpd-shed          0.4.1.1-181          0.4.1.1-184
                         haskell-hxt         9.3.1.18-123         9.3.1.18-125
   haskell-insert-ordered-containers           0.2.3.1-32           0.2.3.1-33
                       haskell-ipynb           0.1.0.1-70           0.1.0.1-71
                 haskell-ixset-typed               0.5-38               0.5-39
                        haskell-jose            0.8.3.1-4            0.8.3.1-6
                   haskell-js-jquery            3.3.1-485            3.3.1-487
                  haskell-lens-aeson               1.1-56               1.1-57
                      haskell-libmpd           0.9.1.0-30           0.9.1.0-31
                    haskell-listlike              4.7.1-7              4.7.1-8
             haskell-microlens-aeson             2.3.1-11             2.3.1-12
                 haskell-microstache          1.0.1.1-172          1.0.1.1-173
  haskell-mono-traversable-instances           0.1.0.0-49           0.1.0.0-50
                    haskell-mustache            2.3.1-152            2.3.1-154
          haskell-neat-interpolation           0.5.1.1-12           0.5.1.1-13
                 haskell-network-uri          2.6.3.0-141          2.6.3.0-143
                   haskell-optics-th            0.3.0.1-2            0.3.0.2-1
             haskell-optparse-simple            0.1.1.3-3            0.1.1.3-5
                haskell-pandoc-types               1.21-7               1.21-8
                      haskell-pantry           0.5.1.1-31           0.5.1.1-33
                        haskell-path             0.8.0-25             0.8.0-26
                     haskell-path-io             1.6.0-51             1.6.0-52
                  haskell-pcre-heavy          1.0.0.2-100          1.0.0.2-101
                  haskell-persistent          2.10.5.2-79          2.10.5.2-80
               haskell-persistent-qq          2.9.1.1-132          2.9.1.1-133
           haskell-persistent-sqlite         2.10.6.2-107         2.10.6.2-108
         haskell-persistent-template           2.8.2.3-84           2.8.2.3-85
             haskell-persistent-test           2.0.3.1-78           2.0.3.1-79
                  haskell-pipes-http            1.0.6-194            1.0.6-196
           haskell-postgresql-binary            0.12.3-19            0.12.3-20
               haskell-pretty-simple            3.3.0.0-8            3.3.0.0-9
              haskell-process-extras            0.7.4-104            0.7.4-105
                      haskell-rebase             1.6.1-25             1.6.1-26
                    haskell-rerebase             1.6.1-25             1.6.1-26
             haskell-rio-prettyprint            0.1.1.0-8            0.1.1.0-9
                    haskell-safecopy            0.10.3-25            0.10.3-26
                         haskell-sbv               8.7-19               8.7-20
                   haskell-serialise           0.2.3.0-28           0.2.3.0-29
                     haskell-servant              0.17-88              0.17-90
              haskell-servant-server              0.17-95              0.17-97
             haskell-servant-swagger             1.1.8-98            1.1.8-101
                       haskell-shake            0.19.1-44            0.19.1-46
                 haskell-shakespeare          2.0.24.1-17          2.0.24.1-18
                 haskell-skylighting             0.8.5-31             0.8.5-33
            haskell-skylighting-core             0.8.5-31             0.8.5-33
                   haskell-snap-core           1.0.4.2-23           1.0.4.2-25
                 haskell-snap-server           1.1.1.2-82           1.1.1.2-85
                   haskell-sourcemap            0.1.6-203            0.1.6-204
               haskell-src-exts-util             0.2.5-70             0.2.5-71
                  haskell-statistics          0.15.2.0-44          0.15.2.0-45
                  haskell-structured               0.1-15               0.1-16
                    haskell-swagger2               2.6-32               2.6-34
           haskell-tagstream-conduit             0.5.6-25             0.5.6-26
         haskell-tamarin-prover-term             1.4.1-70             1.4.1-71
       haskell-tamarin-prover-theory            1.4.1-108            1.4.1-109
        haskell-tamarin-prover-utils             1.4.1-55             1.4.1-56
              haskell-tasty-discover             4.2.1-38             4.2.1-39
                haskell-tasty-silver            3.1.15-10            3.1.15-11
                     haskell-texmath          0.12.0.2-63          0.12.0.2-65
                haskell-text-builder           0.6.6.1-60           0.6.6.1-61
                   haskell-tree-diff              0.1-115              0.1-116
                 haskell-type-errors           0.2.0.0-33           0.2.0.0-34
                          haskell-tz           0.1.3.3-45           0.1.3.3-46
                   haskell-unixutils           1.54.1-140           1.54.1-141
                  haskell-uri-encode           1.5.0.6-11           1.5.0.6-13
              haskell-wai-app-static            3.1.7.2-4            3.1.7.2-6
                   haskell-wai-extra          3.0.29.2-41          3.0.29.2-42
          haskell-wai-handler-launch          3.0.3.1-104          3.0.3.1-106
                  haskell-wai-logger            2.3.6-119            2.3.6-120
                        haskell-warp            3.3.13-36            3.3.13-39
                    haskell-warp-tls             3.3.0-24             3.3.0-26
                        haskell-wreq          0.5.3.2-250          0.5.3.2-252
                         haskell-x11             1.9.1-29             1.9.1-30
                     haskell-x11-xft             0.3.1-83             0.3.1-84
                  haskell-xml-hamlet          0.5.0.1-122          0.5.0.1-123
                haskell-xss-sanitize            0.3.6-171            0.3.6-173
                        haskell-yaml           0.11.5.0-1           0.11.5.0-2
                       haskell-yesod           1.6.1.0-11           1.6.1.0-13
                  haskell-yesod-auth            1.6.10-96            1.6.10-98
                  haskell-yesod-core            1.6.18-79            1.6.18-81
               haskell-yesod-default            1.2.0-789            1.2.0-791
                  haskell-yesod-form            1.6.7-232            1.6.7-234
            haskell-yesod-persistent          1.6.0.4-176          1.6.0.4-178
                haskell-yesod-static           1.6.1.0-30           1.6.1.0-32
                  haskell-yesod-test            1.6.10-33            1.6.10-35
                             hledger            1.18.1-20            1.18.1-21
                          hledger-ui            1.18.1-29            1.18.1-30
                         hledger-web            1.18.1-45            1.18.1-47
                               hlint             3.1.6-20             3.1.6-21
                              hoogle            5.0.18-27            5.0.18-29
                      hopenpgp-tools           0.23.1-103           0.23.1-105
                               idris             1.3.3-53             1.3.3-55
                             jenkins              2.252-1              2.253-1
                      libcurl-compat             7.71.1-1             7.72.0-3
                      libcurl-gnutls             7.71.1-1             7.72.0-2
                          libmatekbd             1.24.0-1             1.24.1-1
                        libmatemixer             1.24.0-1             1.24.1-1
                               marco             1.24.0-1             1.24.1-1
                        mate-applets             1.24.0-1             1.24.1-1
                    mate-backgrounds             1.24.0-1             1.24.1-1
                           mate-calc             1.24.0-1             1.24.1-1
                         mate-common             1.24.0-1             1.24.1-1
                 mate-control-center             1.24.0-1             1.24.1-1
                        mate-desktop             1.24.0-1             1.24.1-1
                          mate-media             1.24.0-1             1.24.1-1
                          mate-menus             1.24.0-2             1.24.1-1
            mate-notification-daemon             1.24.0-1             1.24.1-1
                          mate-panel             1.24.0-1             1.24.1-1
                  mate-power-manager             1.24.0-1             1.24.1-1
                    mate-screensaver             1.24.0-1             1.24.1-1
                 mate-sensors-applet             1.24.0-1             1.24.1-1
                mate-session-manager             1.24.0-1             1.24.1-1
                mate-settings-daemon             1.24.0-1             1.24.1-1
                       mate-terminal             1.24.0-2             1.24.1-1
                        minio-client         2020.05.16-1         2020.08.20-1
                               mlton           20180207-2           20200817-1
                             neomutt           20200814-1           20200821-1
                             netdata             1.24.0-1             1.24.0-2
               netfilter-fullconenat       r73.0cf3b48-38       r73.0cf3b48-40
                               ninja             1.10.0-1             1.10.1-1
                       open-vm-tools           6:11.1.5-1           6:11.1.5-2
                         openimageio           2.1.18.1-1           2.1.18.1-2
                             openvdb              7.0.0-5              7.1.0-1
                              pandoc             2.10.1-3             2.10.1-5
                     pandoc-citeproc          0.17.0.2-14          0.17.0.2-16
                     pandoc-crossref           0.3.7.0-16           0.3.7.0-18
                           postgrest             7.0.1-62             7.0.1-65
                        prusa-slicer              2.2.0-6              2.2.0-7
                       python-docker              4.3.0-1              4.3.1-1
                   python-matrix-nio             0.14.1-1             0.15.0-1
                    python-reportlab             3.5.47-1             3.5.48-1
                      python-trimesh             3.7.14-1              3.8.1-1
              retroarch-assets-ozone              1:331-1              1:331-2
                retroarch-assets-xmb              1:331-1              1:331-2
                          shellcheck            0.7.1-114            0.7.1-116
                                sslh              1.21b-1              1.21c-1
                               stack            2.3.1-100            2.3.1-102
                     stylish-haskell          0.11.0.3-10          0.11.0.3-11
                      tamarin-prover            1.4.1-407            1.4.1-409
                             taskell           1.9.3.0-14           1.9.3.0-16
                           terraform            0.12.29-1             0.13.0-1
                              tinygo             0.13.1-1             0.14.1-1
                             ts-node             8.10.2-1              9.0.0-1
         v2ray-domain-list-community     20200820063217-1     20200821065150-1
                              xmobar              0.35-28              0.35-30
                              xmonad              0.15-50              0.15-51
                      xmonad-contrib              0.16-30              0.16-31
                        xmonad-utils           0.1.3.3-56           0.1.3.3-57
                  haskell-colourista                    -            0.1.0.0-1
                haskell-hspec-golden                    -            0.1.0.3-1
              haskell-hspec-hedgehog                    -            0.0.1.2-1
                      haskell-relude                    -            0.7.0.0-1
                    haskell-shellmet                    -            0.0.3.1-3
                    haskell-summoner                    -            2.0.1.1-1
                haskell-summoner-tui                    -            2.0.1.1-1
                     haskell-tomland                    -            1.3.0.0-2
        haskell-validation-selective                    -            0.1.0.0-1
               retroarch-assets-glui                    -              1:331-2


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-08-19           2020-08-22
-------------------------------------------------------------------------------
                             linux58              5.8.2-1              5.8.3-1
                     linux58-headers              5.8.2-1              5.8.3-1
                             systemd              246.2-1              246.2-2
                        systemd-libs              246.2-1              246.2-2
                  systemd-resolvconf              246.2-1              246.2-2
                  systemd-sysvcompat              246.2-1              246.2-2


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-08-19           2020-08-22
-------------------------------------------------------------------------------
                           amd-ucode   20200721.2b823fc-1   20200817.7a30af1-1
                            binutils               2.34-5               2.35-1
                                curl             7.71.1-1             7.72.0-2
                                 gcc             10.1.0-2             10.2.0-1
                             gcc-ada             10.1.0-2             10.2.0-1
                               gcc-d             10.1.0-2             10.2.0-1
                         gcc-fortran             10.1.0-2             10.2.0-1
                              gcc-go             10.1.0-2             10.2.0-1
                            gcc-libs             10.1.0-2             10.2.0-1
                            gcc-objc             10.1.0-2             10.2.0-1
                               glib2             2.64.4-1             2.64.5-1
                          glib2-docs             2.64.4-1             2.64.5-1
                               glibc               2.31-5               2.32-2
                      lib32-gcc-libs             10.1.0-2             10.2.0-1
                         lib32-glibc               2.31-5               2.32-2
                          libp11-kit            0.23.20-5            0.23.21-1
                             libtool2.4.6+42+gb88cebd5-132.4.6+42+gb88cebd5-14
                       libutil-linux               2.36-1               2.36-2
                   linux-api-headers             5.6.11-1                5.7-1
                      linux-firmware   20200721.2b823fc-1   20200817.7a30af1-1
                           man-pages               5.07-1               5.07-2
                             p11-kit            0.23.20-5            0.23.21-1
                          util-linux               2.36-1               2.36-2
                           libxcrypt                    -             4.4.16-3


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-08-19           2020-08-22
-------------------------------------------------------------------------------
                   linux58-acpi_call              1.1.0-5              1.1.0-6
                    linux58-bbswitch                0.8-5                0.8-6
                 linux58-broadcom-wl       6.30.223.271-5       6.30.223.271-6
                linux58-nvidia-390xx            390.132-5            390.132-6
                linux58-nvidia-418xx            418.113-5            418.113-6
                linux58-nvidia-430xx             430.64-5             430.64-6
                linux58-nvidia-435xx             435.21-5             435.21-6
                linux58-nvidia-440xx            440.100-5            440.100-6
                linux58-nvidia-450xx             450.66-2             450.66-3
                       linux58-r8168           8.048.03-5           8.048.03-6
                   linux58-rtl8723bu           20200813-2           20200813-3
                    linux58-tp_smapi               0.43-5               0.43-6
                 linux58-vhba-module           20200106-5           20200106-6
    linux58-virtualbox-guest-modules             6.1.12-6             6.1.12-7
     linux58-virtualbox-host-modules             6.1.12-6             6.1.12-7
                         linux58-zfs              0.8.4-5              0.8.4-6
               manjaro-arm-tools-git 2.8.6.r21.g5b4312e-1  2.9.0.r0.ga7ae38a-1
                           pamac-cli              9.5.7-7              9.5.8-1
                        pamac-common              9.5.7-7              9.5.8-1
                pamac-flatpak-plugin              9.5.7-7              9.5.8-1
             pamac-gnome-integration              9.5.7-7              9.5.8-1
                           pamac-gtk              9.5.7-7              9.5.8-1
                   pamac-snap-plugin              9.5.7-7              9.5.8-1
             pamac-tray-appindicator              9.5.7-7              9.5.8-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-08-19           2020-08-22
-------------------------------------------------------------------------------
                                bind             9.16.5-2             9.16.6-1
                               cmake             3.18.1-1             3.18.2-1
                               finch             2.14.1-2             2.14.1-3
                           libpurple             2.14.1-2             2.14.1-3
                          libspeechd              0.9.1-4             0.10.1-1
                          libxnvctrl             450.57-1             450.66-1
                             mariadb             10.5.5-1             10.5.5-2
                     mariadb-clients             10.5.5-1             10.5.5-2
                        mariadb-libs             10.5.5-1             10.5.5-2
                               mytop             10.5.5-1             10.5.5-2
                              pidgin             2.14.1-2             2.14.1-3
                   speech-dispatcher              0.9.1-4             0.10.1-1
                                 vlc           3.0.11.1-1           3.0.11.1-2
                xfce4-weather-plugin             0.10.1-1             0.10.1-2


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-08-19           2020-08-22
-------------------------------------------------------------------------------
                          lib32-curl             7.71.1-1             7.72.0-1
                         lib32-glib2             2.64.4-1             2.64.5-1
                lib32-libcurl-compat             7.71.1-1             7.72.0-1
                lib32-libcurl-gnutls             7.71.1-1             7.72.0-1
                       lib32-p11-kit            0.23.20-4            0.23.21-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

1 Like

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Unstable Updates Announcements RSS feed


PAM and PAMBASE got updated, which might prevent you from login

Due to updates from pambase and pam you might take care about any .pacnew files in /etc/pam.d as for example pam_tally, pam_tally2 and pam_cracklib got deprecated. Read in the ArchWiki about managing those files.

Typical issue:

For recovery, it is enough to boot with kernel option “systemd.unit=rescue.target”, then proceed into /etc/pam.d and merge “system-auth” and “system-auth.pacnew”

Older Issues

System takes a long time to boot

If you’ve got errors like Failed to start Network Manager Wait Online. you can try removing systemd from passwd and group in /etc/nsswitch.conf as described here
Update: If you can see the line
dbus-daemon[1453]: [system] Connection has not authenticated soon enough, closing it (auth_timeout=30000ms, elapsed: 45146ms)
in in your dbus log ( journalctl -b -u dbus ), the new/better workaround is to switch cups from service to socket as described here:
systemctl disable org.cups.cupsd.service
systemctl enable org.cups.cupsd.socket

I think I’ve some font problems

With the update of fontconfig some major rules how fonts get applied changed. Make sure that your system has ttf-dejavu installed. A more in depth explanation can be found here.

Gnome-shell-extension-pop-shell is currently incompatible with wayland

… and causes the system to freeze when the first window is tiled and can render it unbootable. Solution is a hard reset and disabling either pop shell or wayland. If the system becomes unbootable, use a live USB to edit /etc/gdm/custom.conf to disable wayland and reboot.

So this was pretty straightforward.
But just to elaborate for others
On my system I needed to edit /etc/pam.d/system-login

From this

#%PAM-1.0

auth       required   pam_tally2.so
auth       required   pam_shells.so
auth       requisite  pam_nologin.so
auth       include    system-auth

account    required   pam_tally2.so
account    required   pam_access.so
account    required   pam_nologin.so
account    include    system-auth

password   include    system-auth

session    optional   pam_loginuid.so
session    optional   pam_keyinit.so       force revoke
session    include    system-auth
session    optional   pam_motd.so          motd=/etc/motd
session    optional   pam_mail.so          dir=/var/spool/mail standard quiet
-session   optional   pam_systemd.so
session    required   pam_env.so

to this

#%PAM-1.0

auth       required   pam_faillock.so
auth       required   pam_shells.so
auth       requisite  pam_nologin.so
auth       include    system-auth

account    required   pam_faillock.so
account    required   pam_access.so
account    required   pam_nologin.so
account    include    system-auth

password   include    system-auth

session    optional   pam_loginuid.so
session    optional   pam_keyinit.so       force revoke
session    include    system-auth
session    optional   pam_motd.so          motd=/etc/motd
session    optional   pam_mail.so          dir=/var/spool/mail standard quiet
-session   optional   pam_systemd.so
session    required   pam_env.so           user_readenv=1

…that is I needed to

  • replace 2 instances of pam_tally2.so with pam_faillock.so
  • also added user_readenv=1 to the end of the last line

After a reboot all seems fine.
[KDE if it matters]

8 Likes

No issue, but lua was orphaned:

$ pacman -Qdt
lua 5.4.0-2

I removed it with no immediate breakage.

1 Like

in manjaro-system, we can create a code as ?

if grep -m1 "pam_tally2.so" /etc/pam.d/*; then 
    sed -e '/pam_tally2.so/ s/^#*/# pam_tally2 incompatible with pam 1.4, replace by pam_faillock.so\n#/' -i /etc/pam.d/system-login
    echo "ERROR: pam_tally2 incompatible with pam 1.4, replace by pam_faillock"
    #echo "not forget to merge system-auth.pacnew if exists"
    #echo "if exists ~/.pam_environment file rename it for disabled"
fi 

here comment “only” and no replace …
I have no idea where is string tally2.so, in this (bad) example is only in one file “pam.d/system-login” and not have pam_faillock.so file (a package to install before ?)

1 Like

Most systems are not affected by this. Only really old systems. We have to think about it …

1 Like

Hey you callin this lappy old? :stuck_out_tongue:
I only installed manjaro on it when I got it (run tune2fs…) Nov, 2018. Its still a baby. :slight_smile:

PS.
I notice konsole now scrolls funny. I think that may have begun a few days prior to this actually.
Anyone notice anything similar, or is it just me?

linux58-virtualbox-host-modules is 6.1.12-8 and linux57-virtualbox-host-modules is 6.1.12.10. In linux58 VirtualBox freezes the system, didnt get it to work. Should I wait for an update or there is a solution and I dont know?

After updating linux58 from 5.8.3-2 > 5.8.4-1, my Wi-Fi would not longer connect. No issues on 5.7.12-2.

EDIT: 5.8.5-1 resolved the issue.

kernel: ath10k_pci 0000:03:00.0: Could not init core: -110
Network:
  Device-1: Realtek RTL810xE PCI Express Fast Ethernet driver: r8169 
  Device-2: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter 
  driver: ath10k_pci 
  Device-3: Qualcomm Atheros type: USB driver: btusb

brand spankin’ new ryzen 4000 laptop bought this year, still affected by the issue.

1 Like

I had the same issue as @cscs
His solution worked for me too.

  • I could not login
  • I manjaro-chroot with manjaro live usb
  • I edit /etc/pam.d/system-login
  • I replace pam_tally2.so with pam_faillock.so
1 Like

Since the update to gcc 10.2 I’m having trouble to compile packages with static linked libraries which were compiled with an older gcc version. For example trying to build mutter ends with this error:

lto1: internal compiler error: bytecode stream: expected tag identifier_node instead of LTO_UNKNOWN

One workaround was to downgrade to gcc 10.1 which is suboptimal…
In case of mutter it was linked against /usr/lib/libsysprof-capture-3.a and after a rebuild of sysprof i’m able to compile mutter again.

I found a similar report on gentoo: https://bugs.gentoo.org/733886
Edit here is another one from Arch Linux: FS#67686 : [gcc] 10.2.0: lto1: internal compiler error: bytecode stream: expected tag identifier_node inste

Libre Office 7 crashed when I set writer to tabbed toolbar (just to test how it is nowadays) and kept crashing right after starting, making it impossible to change back to standard toolbar.

As I don’t fiddle with the defaults too much I removed my libre office settings and got a fresh from the skel at next start. It is stable now, even with tabbed toolbar turned on :slight_smile:

This is an unstable update announcement.
If you need assistance, especially if you do not use unstable branch, please see any related threads to your issue (search is in the top-right) and if that doesnt help then start your own thread.

After Login system freeze with Plasma / Wrapland.
Standard / X works.

I’ve been getting some weird Qt theming issues lately. If a Qt app is launched per a desktop shortcut or thunar list file, the app appears to disregard the theme chosen in kvantum and uses its own “default” theme. However, the correct theme is pulled down properly when the app is run via terminal or start menu. Vlc is acting up as well. Here’s a couple examples from qpdfview:

[edit]: can’t embed media. @moderators

I can’t immediately reproduce the problem since a reboot cleans up the issue temporarily…but it came back. :slightly_frowning_face: Makes me think it’s a xfwm/thunar problem but I can’t peg it to a recent update. Perhaps at-spi2-core v2.36.1-1 (for a long shot?)

the xhci_pci firmware is also missing on Kernel 5.9 RC4 could we implement this like the other firmwares that are missing over years? Arch Linux mkinitcpio: Possibly missing firmware for module

uPD72020x_firmware

So yesterday comes the update VirtualBox 6.1.14 for linux58 and is working. thanks!

in today update of tigervnc in unstable:

error: failed to perform the transaction (conflicting files)
tigervnc: / usr / sbin exists on the file system (belongs to filesystem)
Errors occurred and therefore no packages were updated.

Will be fixed with tigervnc 1.11.0-2 which is already available on arch.

1 Like